
Extra Site Information
----------------------

CONTENTS OF THIS FILE
---------------------

 * Introduction
 * Installation
 * Usage

INTRODUCTION
------------

Extra Site Information module provides Drush commands and UI level view to see
Count of Content types, Nodes, Users, Roles existing in the site.
This module also provides the information about Currently logged-in users
in your site.

INSTALLATION
------------

 * Install as you would normally install a contributed Drupal module. See:
   https://drupal.org/documentation/install/modules-themes/modules-7
   for further information.

USAGE
-----

### Drush Commands

1. **nodetypecount** command will return the number of Content Types present
in the site, you can use command in following ways.
   * `drush nodetypecount --help`
   * `drush nodetypecount`

2. **nodecount** command will return the number of Nodes present in the site,
you can use command in following ways.
   * `drush nodecount --help`
   * `drush nodecount`
   * `drush nodecount < content-type-names >`
   * `drush nodecount page article`

3. **rolecount** command will return the number of Roles present in the site,
you can use command in following ways.
   * `drush rolecount --help`
   * `drush rolecount`

4. **usercount** command will return the number of Users existing in the site,
you can use command in following ways.
   * `drush usercount --help`
   * `drush usercount`
   * `drush usercount < content-type-names >`
   * `drush usercount 3 4`

### User Interface

1. Visit **/admin/reports/extra-siteinfo** for UI level view of data.

2. Visit **/admin/reports/extra-siteinfo/currently-loggedin-users** for
  currently logged-in users in your site. You can end the session of
  any user by clicking "End session" button.
